include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_subdirectory( ljpeg2ppm )

add_definitions(
  -DCODEC_LJPEG
  -DLJPEG2PPM_S="${BIN_INSTALL_DIR}/ksquirrel-libs-ljpeg2ppm-s"
  -DLJPEG2PPM="${BIN_INSTALL_DIR}/ksquirrel-libs-ljpeg2ppm"
)

if( NOT WITH_LCMS )
  add_definitions( -DNO_LCMS )
endif( )


##### codecs

tde_add_library( kls_ljpeg SHARED AUTOMOC
  SOURCES fmt_codec_pnm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

install(
  PROGRAMS ksquirrel-libs-ljpeg2ppm-s
  DESTINATION ${BIN_INSTALL_DIR}
)
